|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# FormatRange Class Reference
(QTextLayout::FormatRange)
[QtGui module]

The QTextLayout::FormatRange structure is used to apply extra formatting information for a specified area in the text layout's content. More...

- List of all members, including inherited members

### Public Variables

- QTextCharFormat format
- int length
- int start

## Detailed Description

The QTextLayout::FormatRange structure is used to apply extra formatting information for a specified area in the text layout's content.

See also QTextLayout::setAdditionalFormats() and QTextLayout::draw().

## Member Variable Documentation

### QTextCharFormat FormatRange::format

Specifies the format to apply.

### int FormatRange::length

Specifies the numer of characters the format range spans.

### int FormatRange::start

Specifies the beginning of the format range within the text layout's text.